Bug 974384 - longevity: fuse mount logs(DHT) - failed to get the 'linkto' xattr No data available
longevity: fuse mount logs(DHT) - failed to get the 'linkto' xattr No data av...
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
2.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 02:42 EDT by Saurabh
Modified: 2016-01-19 01:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 23:59:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test script (3.50 KB, text/x-python)
2013-06-14 02:42 EDT, Saurabh
no flags Details

  None (edit)
Description Saurabh 2013-06-14 02:42:02 EDT
Created attachment 761099 [details]
test script

Description of problem:
we have a longevity setup where we exeucte test cases on regular basis, 
each test runs for more than 24 hours.

We are having a script called "test1.py"
This script creates a glusterfs mount and does lot of i/o on the mount point,
a. create dirs
b. create files.
c. change permission of the files.
d. create symlink and hardlink
e. even rename and etc.

Presently we are finding that the glusterfs mount-point logs are showing some errors. Althoguh the tests in itself is a Pass.

[2013-06-13 09:34:20.747359] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file418: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:21.232689] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file624: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:22.178149] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file1017: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:26.072565] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file2639: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:27.630751] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file3296: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:28.742961] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file3771: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:35.556222] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file6565: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:37.406168] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file7315: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:37.421421] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file7320: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:40.024809] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file8413: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:40.186755] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file8482: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:41.732671] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file9141: failed to get the 'linkto' xattr No data available
[2013-06-13 09:34:42.465767] E [dht-helper.c:652:dht_migration_complete_check_task] 0-long1-dht: /test_1.1371081031/level09/level19/level29/level39/level49/level59/level69/level79/level89/level99/file9453: failed to get the 'linkto' xattr No data available
[2013-06-13 21:27:43.665576] I [fuse-bridge.c:4133:fuse_thread_proc] 0-fuse: unmounting /mnt/client_test1
[2013-06-13 21:27:43.684608] W [glusterfsd.c:924:cleanup_and_exit] (-->/lib64/libc.so.6(clone+0x6d) [0x3a82ce5ccd] (-->/lib64/libpthread.so.0() [0x3a834077f1] (-->/usr/sbin/glusterfs(glusterfs_sigwaiter+0xdd) [0x405cad]))) 0-: received signum (15), shutting down
[2013-06-13 21:27:43.684845] I [fuse-bridge.c:4722:fini] 0-fuse: Unmounting '/mnt/client_test1'.



gluster volume info:-
Volume Name: long1
Type: Distributed-Replicate
Volume ID: 5cf62a8e-0cf8-4106-b29d-eabae2e65521
Status: Started
Number of Bricks: 6 x 2 = 12
Transport-type: tcp
Bricks:
Brick1: longevity-rhs01.lab.eng.blr.redhat.com:/bricks/long1_brick0
Brick2: longevity-rhs02.lab.eng.blr.redhat.com:/bricks/long1_brick1
Brick3: longevity-rhs03.lab.eng.blr.redhat.com:/bricks/long1_brick2
Brick4: longevity-rhs04.lab.eng.blr.redhat.com:/bricks/long1_brick3
Brick5: longevity-rhs01.lab.eng.blr.redhat.com:/bricks/long1_brick4
Brick6: longevity-rhs02.lab.eng.blr.redhat.com:/bricks/long1_brick5
Brick7: longevity-rhs03.lab.eng.blr.redhat.com:/bricks/long1_brick6
Brick8: longevity-rhs04.lab.eng.blr.redhat.com:/bricks/long1_brick7
Brick9: longevity-rhs01.lab.eng.blr.redhat.com:/bricks/long1_brick8
Brick10: longevity-rhs02.lab.eng.blr.redhat.com:/bricks/long1_brick9
Brick11: longevity-rhs03.lab.eng.blr.redhat.com:/bricks/long1_brick10
Brick12: longevity-rhs04.lab.eng.blr.redhat.com:/bricks/long1_brick11

Version-Release number of selected component (if applicable):
[root@longevity-rhs01 ~]# rpm -qa | grep glusterfs
glusterfs-fuse-3.3.0.7rhs-1.el6rhs.x86_64
glusterfs-3.3.0.7rhs-1.el6rhs.x86_64
org.apache.hadoop.fs.glusterfs-glusterfs-0.20.2_0.2-1.noarch
glusterfs-server-3.3.0.7rhs-1.el6rhs.x86_64
glusterfs-rdma-3.3.0.7rhs-1.el6rhs.x86_64
glusterfs-geo-replication-3.3.0.7rhs-1.el6rhs.x86_64


How reproducible:
already happened more than once.
Comment 3 Scott Haines 2013-09-27 13:07:54 EDT
Targeting for 3.0.0 (Denali) release.
Comment 6 Nagaprasad Sathyanarayana 2014-05-06 07:43:41 EDT
Dev ack to 3.0 RHS BZs
Comment 10 Saurabh 2015-09-22 08:05:44 EDT
I haven't seen the same logs in the recent times.
Comment 11 Nithya Balachandran 2015-09-22 23:59:06 EDT
I am closing this BZ based on comment#10. Please reopen if you see it again.

Note You need to log in before you can comment on or make changes to this bug.